                              ctypesgen
                              ---------

                  (c) Ctypesgen developers 2007-2011
                 http://code.google.com/p/ctypesgen/

ctypesgen is a pure-python ctypes wrapper generator. It can also
output JSON, which can be used with Mork, which generates bindings for
Lua, using the alien module (which binds libffi to Lua).

ctypesgen is distributed under the New (2-clause) BSD License:
http://www.opensource.org/licenses/bsd-license.php

libffi is a portable Foreign Function Interface library:
http://sources.redhat.com/libffi/

Mork, the friendly alien, can be found at:
https://github.com/rrthomas/mork


Usage
-----

To get JSON output, use --output-language=json. When outputting JSON,
you will probably want to use --all-headers --builtin-symbols
--no-stddef-types --no-gnu-types --no-python-types too.
